include ../Makefile.inc
BIN = hgclient
CPPFLAGS += -DCLIENT
LDFLAGS += -lSDLmain -lSDL -lSDL_image -mwindows -lSDL_net
OBJ += $(patsubst %.c++,%.o,$(wildcard *.c++))

all: ../$(BIN)

../$(BIN): $(OBJ)
	$(CPP) -o ../$(BIN) $(LDFLAGS) $(OBJ)

%.o : %.c++ *.h
	$(CPP) -c $(CPPFLAGS) $<

clean:
	-rm -f $(OBJ) ../$(BIN)

run: ../$(BIN)
	@cd .. ; ./$(BIN) &
